Bug 506032 - Crash in ktorrent during basic operation
Crash in ktorrent during basic operation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qca2 (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 506033
  Show dependency treegraph
 
Reported: 2009-06-15 07:10 EDT by Michael Schwendt
Modified: 2009-12-18 04:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:34:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-06-15 07:10:30 EDT
$ rpm -q ktorrent qca2
ktorrent-3.2.1-1.fc10.i386
qca2-2.0.2-1.fc10.i386

For now assuming this is related to qca2, as it's significantly newer than ktorrent and the code path in the backtrace enters qca2 prior to the crash. Some details are missing, though.

Of course I didn't have >500 MiB of debuginfo packages installed, because I did not expect ktorrent to crash. Tried to install at least some of them, but there are pending test updates for many related packages (including ktorrent 3.2.2 requiring a new kdelibs and so on).

Please reassign this properly if you have reason to believe that ktorrent or another component is the culprit. Meanwhile I'm trying out pending updates downloaded from koji together with some -debuginfo packages.

[...]

0x00262416 in __kernel_vsyscall ()
[Current thread is 1 (Thread 0xb7f01770 (LWP 12000))]

Thread 4 (Thread 0xb6567b90 (LWP 12006)):
#0  0x00262416 in __kernel_vsyscall ()
#1  0x004153d1 in select () from /lib/libc.so.6
#2  0x0211e1c7 in ?? () from /usr/lib/libQtCore.so.4
#3  0x0204c48e in ?? () from /usr/lib/libQtCore.so.4
#4  0x004e751f in start_thread () from /lib/libpthread.so.0
#5  0x0041d04e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xafdfcb90 (LWP 12338)):
#0  0x00262416 in __kernel_vsyscall ()
#1  0x004eb432 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so
.0
#2  0x0204be79 in ?? () from /usr/lib/libQtCore.so.4
#3  0x0204bfab in QThread::msleep () from /usr/lib/libQtCore.so.4
#4  0x03f3f835 in ?? () from /usr/lib/libbtcore.so.10
#5  0x03f400c8 in ?? () from /usr/lib/libbtcore.so.10
#6  0x0204c48e in ?? () from /usr/lib/libQtCore.so.4
#7  0x004e751f in start_thread () from /lib/libpthread.so.0
#8  0x0041d04e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xaf3fbb90 (LWP 12339)):
#0  0x00262416 in __kernel_vsyscall ()
#1  0x004eb105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x0204d4d2 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
#3  0x03f3ed8e in ?? () from /usr/lib/libbtcore.so.10
#4  0x03f400c8 in ?? () from /usr/lib/libbtcore.so.10
#5  0x0204c48e in ?? () from /usr/lib/libQtCore.so.4
#6  0x004e751f in start_thread () from /lib/libpthread.so.0
#7  0x0041d04e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb7f01770 (LWP 12000)):
#0  0x00262416 in __kernel_vsyscall ()
#1  0x003d8456 in nanosleep () from /lib/libc.so.6
#2  0x003d826e in sleep () from /lib/libc.so.6
#3  0x034d9a8a in ?? () from /usr/lib/libkdeui.so.5
#4  0x034da4bc in KCrash::defaultCrashHandler () from /usr/lib/libkdeui.so.5
#5  <signal handler called>
#6  0x003b2636 in memcpy () from /lib/libc.so.6
#7  0x09bbc178 in ?? ()
#8  0x03e57dd6 in QCA::MemoryRegion::MemoryRegion () from /usr/lib/libqca.so.2
#9  0x03e70368 in QCA::Hash::update () from /usr/lib/libqca.so.2
#10 0x03f2a7aa in bt::SHA1HashGen::update () from /usr/lib/libbtcore.so.10
#11 0x03f60aca in ?? () from /usr/lib/libbtcore.so.10
#12 0x03f618fd in ?? () from /usr/lib/libbtcore.so.10
#13 0x03f690f5 in bt::Downloader::pieceReceived () from /usr/lib/libbtcore.so.10
#14 0x03f5027f in bt::PeerManager::pieceReceived () from /usr/lib/libbtcore.so.1
0
#15 0x03f4eb41 in ?? () from /usr/lib/libbtcore.so.10
#16 0x03f5890e in ?? () from /usr/lib/libbtcore.so.10
#17 0x03f4e461 in ?? () from /usr/lib/libbtcore.so.10
#18 0x03f52408 in bt::PeerManager::update () from /usr/lib/libbtcore.so.10
#19 0x03f8829d in bt::TorrentControl::update () from /usr/lib/libbtcore.so.10
#20 0x08069e76 in _start ()
Comment 1 Michael Schwendt 2009-06-15 07:12:31 EDT
And another one while submitting the PR.

$ rpm -q qca2 ktorrent kdelibs
qca2-2.0.2-1.fc10.i386
ktorrent-3.2.1-1.fc10.i386
kdelibs-4.2.3-3.fc10.i386

Again, code path is through qca2.

[...]

[Thread debugging using libthread_db enabled]
[New Thread 0xb7fd8770 (LWP 12702)]
[New Thread 0xb58b7b90 (LWP 12706)]
[New Thread 0xb675fb90 (LWP 12705)]
0x00166416 in __kernel_vsyscall ()
[Current thread is 1 (Thread 0xb7fd8770 (LWP 12702))]

Thread 3 (Thread 0xb675fb90 (LWP 12705)):
#0  0x00166416 in __kernel_vsyscall ()
#1  0x002d8432 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x0204be79 in ?? () from /usr/lib/libQtCore.so.4
#3  0x0204bfab in QThread::msleep () from /usr/lib/libQtCore.so.4
#4  0x03f3f835 in net::DownloadThread::update (this=0x8a1e040) at /usr/src/debug/ktorrent-3.2.1/libbtcore/net/downloadthread.cpp:110
#5  0x03f400c8 in net::NetworkThread::run (this=0x8a1e040) at /usr/src/debug/ktorrent-3.2.1/libbtcore/net/networkthread.cpp:48
#6  0x0204c48e in ?? () from /usr/lib/libQtCore.so.4
#7  0x002d451f in start_thread () from /lib/libpthread.so.0
#8  0x00fb204e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb58b7b90 (LWP 12706)):
#0  0x00166416 in __kernel_vsyscall ()
#1  0x002d8105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x0204d4d2 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
#3  0x03f3ed8e in net::UploadThread::update (this=0x8a1e2f0) at /usr/src/debug/ktorrent-3.2.1/libbtcore/net/uploadthread.cpp:73
#4  0x03f400c8 in net::NetworkThread::run (this=0x8a1e2f0) at /usr/src/debug/ktorrent-3.2.1/libbtcore/net/networkthread.cpp:48
#5  0x0204c48e in ?? () from /usr/lib/libQtCore.so.4
#6  0x002d451f in start_thread () from /lib/libpthread.so.0
#7  0x00fb204e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb7fd8770 (LWP 12702)):
#0  0x00166416 in __kernel_vsyscall ()
#1  0x00f6d456 in nanosleep () from /lib/libc.so.6
#2  0x00f6d26e in sleep () from /lib/libc.so.6
#3  0x008c02ca in ?? () from /usr/lib/libkdeui.so.5
#4  0x008c0cfc in KCrash::defaultCrashHandler () from /usr/lib/libkdeui.so.5
#5  <signal handler called>
#6  0x00f47636 in memcpy () from /lib/libc.so.6
#7  0x0946f630 in ?? ()
#8  0x03e57dd6 in Private () at /usr/include/bits/string3.h:52
#9  MemoryRegion (this=0xbf9fe3b0, from=@0xb5c93000) at qca_tools.cpp:445
#10 0x03e70368 in QCA::Hash::update (this=0x93b17d8, data=0xb5c919bc "�+�}\234", len=16384) at qca_basic.cpp:225
#11 0x03f2a7aa in bt::SHA1HashGen::update (this=0x956f04c, data=0xb5c919bc "�+�}\234", len=16384) at /usr/src/debug/ktorrent-3.2.1/libbtcore/util/sha1hashgen.cpp:238
#12 0x03f60aca in bt::ChunkDownload::updateHash (this=0x956efc8) at /usr/src/debug/ktorrent-3.2.1/libbtcore/download/chunkdownload.cpp:562
#13 0x03f618fd in bt::ChunkDownload::piece (this=0x956efc8, p=@0xbf9fe558, ok=@0xbf9fe4db) at /usr/src/debug/ktorrent-3.2.1/libbtcore/download/chunkdownload.cpp:133
#14 0x03f690f5 in bt::Downloader::pieceReceived (this=0x8eb4df8, p=@0xbf9fe558) at /usr/src/debug/ktorrent-3.2.1/libbtcore/download/downloader.cpp:133
#15 0x03f5027f in bt::PeerManager::pieceReceived (this=0x8e3b4e0, p=@0xbf9fe558) at /usr/src/debug/ktorrent-3.2.1/libbtcore/peer/peermanager.cpp:669
#16 0x03f4eb41 in bt::Peer::packetReady (this=0x90ed1e8, packet=0xb5b8a540 "\a", len=14) at /usr/src/debug/ktorrent-3.2.1/libbtcore/peer/peer.cpp:269
#17 0x03f5890e in bt::PacketReader::update (this=0x91c7dd8) at /usr/src/debug/ktorrent-3.2.1/libbtcore/peer/packetreader.cpp:131
#18 0x03f4e461 in bt::Peer::update (this=0x90ed1e8) at /usr/src/debug/ktorrent-3.2.1/libbtcore/peer/peer.cpp:474
#19 0x03f52408 in bt::PeerManager::update (this=0x8e3b4e0) at /usr/src/debug/ktorrent-3.2.1/libbtcore/peer/peermanager.cpp:117
#20 0x03f8829d in bt::TorrentControl::update (this=0x8e32640) at /usr/src/debug/ktorrent-3.2.1/libbtcore/torrent/torrentcontrol.cpp:174
#21 0x08069e76 in kt::Core::update (this=0x8c997b8) at /usr/src/debug/ktorrent-3.2.1/ktorrent/core.cpp:865
#22 0x08070003 in kt::Core::qt_metacall (this=0x8c997b8, _c=QMetaObject::InvokeMetaMethod, _id=12, _a=0xbf9fe818) at /usr/src/debug/ktorrent-3.2.1/i386-redhat-linux-gnu/ktorrent/core.moc:148
#23 0x02156a08 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#24 0x02158192 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#25 0x02192417 in QTimer::timeout () from /usr/lib/libQtCore.so.4
#26 0x0215c45e in QTimer::timerEvent () from /usr/lib/libQtCore.so.4
#27 0x02150ebf in QObject::event () from /usr/lib/libQtCore.so.4
#28 0x029f4cec in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#29 0x029fcfce in QApplication::notify () from /usr/lib/libQtGui.so.4
#30 0x00853d3d in KApplication::notify () from /usr/lib/libkdeui.so.5
#31 0x0214075b in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#32 0x0216fa41 in ?? () from /usr/lib/libQtCore.so.4
#33 0x0216c230 in ?? () from /usr/lib/libQtCore.so.4
#34 0x0534d258 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#35 0x05350903 in ?? () from /lib/libglib-2.0.so.0
#36 0x05350ac1 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#37 0x0216c188 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#38 0x02a94665 in ?? () from /usr/lib/libQtGui.so.4
#39 0x0213ed8a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#40 0x0213f1ca in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#41 0x02141679 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#42 0x029f4b67 in QApplication::exec () from /usr/lib/libQtGui.so.4
#43 0x08062c09 in main (argc=4, argv=0xbf9ff2b4) at /usr/src/debug/ktorrent-3.2.1/ktorrent/main.cpp:170
Comment 2 Bug Zapper 2009-11-18 07:06:06 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:34:04 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.